## mars.venus
Class SettingsSelfModifyingCodeAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.SettingsSelfModifyingCodeAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class SettingsSelfModifyingCodeAction

extends GuiAction

Action class for the Settings menu item to control whether the running MIPS program can write to the text segment or branch to the data segment. This actions permit the program to generate and execute binary code at runtime. In other words, modify itself.

See Also:
  Serialized Form

Field Summary

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SettingsSelfModifyingCodeAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)`

Method Summary
`void` `actionPerformed(ActionEvent e)` does nothing by default.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsSelfModifyingCodeAction

    public SettingsSelfModifyingCodeAction(String name,
                                           Icon icon,
                                           String descrip,
                                           Integer mnemonic,
                                           KeyStroke accel,
                                           VenusUI gui)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from class: `GuiAction`
  does nothing by default. Should be over-ridden by subclass

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`